
Figure - Bug #118459
【IOVDEV-32292】【内部】【VC1】【0100】【台架】【EE环境】【副屏】安装应用时点击“取消”无效
2023-06-02 10:41 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-02

Priority: High Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 副屏：01.00.0100.c103  中控：03.02.0086.C102

Resolution: FIXED Degrated: No

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version: 2023-06-02

Test Type: ST Root cause: 安装对话框按钮样式问题，导致禁用状态（不可点）和可用状态一样，让用户误以为可以点击。

Description

【环境信息】EE环境

【问题出现时间】：20230602  10点23分（ 第233次开机）

【前提条件】：车机上电（KL30ON ，KL15 ON，已连接中控和功放，可正常输出声音，无第三方应用，未开启开发者模式）

1.进入文件管理器，选择apk文件进行安装

2.安装过程中点击“取消”

【实际结果】

点击“取消”无响应，没有取消安装，之后会安装成功

【期望结果】

副屏可以取消应用的安装

【备注】：

车架号VIN：HRYTTESTVINMGM400

中控端log可从云端获取，

【影响版本】：副屏：01.00.0100.c103  中控：03.02.0086.C102

【硬件版本号】：/

【是否能恢复】：

History

#1 - 2023-06-02 14:50 - CD FW 曹覃刚

- Category changed from CD-FW to 依赖客户及其供应商解决

- Status changed from New to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to CDTS_Test 吴诗雨

我在对比的原生板子上也测试了这个问题

也有一样的现象，应该属于原生的问题

#2 - 2023-06-02 15:11 - CD FW 曹覃刚
- Category changed from 依赖客户及其供应商解决 to CD-FW

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CDTS_Test 吴诗雨 to CD FW 曹覃刚

#3 - 2023-06-02 18:48 - CD FW-廖涛

- Assignee changed from CD FW 曹覃刚 to CD FW-廖涛

■ Current conclusion

通过观察问题视频，以及对比原生 Android 12 平板，安装过程中，当进行到中后期时，取消按钮是无法点击的，由于主题适配问题，所以按钮没有置灰

，导致用户以为可以点击。

■ Next action

调整对话框按钮主题。

#4 - 2023-06-02 19:37 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

204394 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:PackageInstaller: Adapter dialog button style.TC-RID: 1201-0201813IssueID: TS-R-BUG-118459Change-Id: Ia7e833b070338074c569a9aaa5af0e5307de1422

#5 - 2023-06-02 19:41 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to CDTS_Test 吴诗雨

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-06-02

- Root cause set to 安装对话框按钮样式问题，导致禁用状态（不可点）和可用状态一样，让用户误以为可以点击。

■ Current conclusion

已处理，代码已入库。

■ My analysis

安装对话框按钮样式问题，导致禁用状态（不可点）和可用状态一样，让用户误以为可以点击。

备注：在安装应用的过程中，系统会根据状态来判断是否可以取消，在安装进行到不可取消时，取消按钮是不可点击的。

解决方案：

已调整按钮样式，按钮在禁用状态时，会变灰色。

■ Next action

测试验证。

#6 - 2023-06-03 16:09 - CDTS_Test 吴诗雨
已同步，设备在跑测，待周一验证

#7 - 2023-06-07 15:14 - SZTS_TEST 邹涛

- Status changed from RESOLVED to VERIFIED

在01.00.0108.C104版本验证通过

#8 - 2023-06-12 17:52 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

IOVDEV-32292.zip 9.66 MB 2023-06-02 CDTS_Test 吴诗雨
